QGIS Application - Bug report #16656
python error in Processing result viewer
2017-06-01 06:31 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24556
Description

Traceback (most recent call last):
File "C:/OSGEQO4~1/apps/qgis-rel-dev/./python/plugins\processing\ProcessingPlugin.py", line 166, in openResults
dig = ResultsDialog()
File "C:/OSGEQO4~1/apps/qgis-rel-dev/./python/plugins\processing\gui\ResultsDialog.py", line 57, in init
self.txtResults.setHtml(self.loadResults(self.lastUrl))
File "C:/OSGEO4~1/apps/qgis-rel-dev/./python/plugins\processing\gui\ResultsDialog.py", line 77, in loadResults
content = f.read()
File "C:\OSGEO4~1\apps\Python27\lib\codecs.py", line 671, in read
return self.reader.read(size)
File "C:\OSGEO4~1\apps\Python27\lib\codecs.py", line 477, in read
newchars, decodedbytes = self.decode(data, self.errors)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xc1 in position 209: invalid start byte

Seen this on 2.18.9 (nightly) on Windows.

History

#1 - 2017-06-02 08:02 AM - Alexander Bruy
- Status changed from Open to Feedback

Can you provide sample? As | can see, it already opens file using unicode. Probably some algorithm writes results without proper encoding or output file is

broken.

#2 - 2017-06-02 07:44 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Cannot replicate in a consistent way. Will reopen if is the case (it was happening sometimes with a specific postgis layer, but not with its shapefile

counterpart, and was using the "v.report" module).
